Subject: Re: RE: [dhcwg] A question about processing a RENEW message from aclientin DHCPv6.

From: "David W. Hankins" <[email-masked]>
Date: Tue, 1 May 2007 12:34:55 -0700

On Mon, Apr 30, 2007 at 11:19:20PM -0400, Bernie Volz (volz) wrote:
> I think we end up being in agreement?
> 
> I certainly am not recommending clients ignore addresses or don't follow
> the rules in sending all of them when renewing. The question that was
> asked though is what should a server do if that does happen. My answer
> is that the server should "pretend" that the client sent them all.

That's right.

> >This quickly looks like an infinite loop.
> 
> Huh? Only when the client would RENEW or REBIND would it get more.

Right - there would be a t1 delay inbetween iterations.

If the server and client never reach a steady state, then we've
failed (except IA_TA :).

I think for there to be a steady state, the "flow of information"
has to be unidirectional except in Decline's case, and to do that
you basically ask the server to be consistent in its Replies.

-- 
David W. Hankins	"If you don't do it right the first time,
Software Engineer		you'll just have to do it again."
Internet Systems Consortium, Inc.	-- Jack T. Hankins
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg